> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Customer Alias

> Delete a Customer Alias



## OpenAPI

````yaml customer.latest.product.live DELETE /customer-aliases/{id}
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customer-aliases/{id}:
    servers: []
    parameters: []
    delete:
      tags:
        - Customer Aliases
      summary: Delete a Customer Alias
      description: Delete a Customer Alias
      operationId: deleteCustomerAliasesById
      parameters:
        - name: id
          in: path
          description: Unique ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAliasResponseModel'
                example:
                  id: 01849e70-0a0f-72ca-ba07-5557dd734d43
                  sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
                  customerId: 01849e70-703e-705a-b59a-d3fd575587e0
                  value: external-customer-alias-123
                  createdAt: '2022-10-01T00:00:00Z'
                  deletedAt: '2022-10-01T00:00:00Z'
                  label: CRM ID
                  archivedAt: '2022-10-01T00:00:00Z'
              examples:
                CustomerAliasResponseModel:
                  summary: ''
                  value:
                    id: 01849e70-0a0f-72ca-ba07-5557dd734d43
                    sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
                    customerId: 01849e70-703e-705a-b59a-d3fd575587e0
                    value: external-customer-alias-123
                    createdAt: '2022-10-01T00:00:00Z'
                    deletedAt: '2022-10-01T00:00:00Z'
                    label: CRM ID
                    archivedAt: '2022-10-01T00:00:00Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CustomerAliasResponseModel:
      required:
        - createdAt
        - customerId
        - id
        - sequenceAccountId
        - value
      type: object
      example:
        id: 01849e70-0a0f-72ca-ba07-5557dd734d43
        sequenceAccountId: ec1479a2-6ba1-421f-a7de-0853a20d17a1
        customerId: 01849e70-703e-705a-b59a-d3fd575587e0
        value: external-customer-alias-123
        createdAt: '2022-10-01T00:00:00Z'
        deletedAt: '2022-10-01T00:00:00Z'
        label: CRM ID
        archivedAt: '2022-10-01T00:00:00Z'
      properties:
        id:
          type: string
          description: Unique ID
          example: 01849e70-0a0f-72ca-ba07-5557dd734d43
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: ec1479a2-6ba1-421f-a7de-0853a20d17a1
        customerId:
          type: string
          description: Customer ID
          example: 01849e70-703e-705a-b59a-d3fd575587e0
        value:
          type: string
          description: Alias value
          example: external-customer-alias-123
        createdAt:
          type: string
          description: Created At
          example: '2022-10-01T00:00:00Z'
        deletedAt:
          type: string
          description: Deleted At
          example: '2022-10-01T00:00:00Z'
        label:
          type: string
          description: Alias label
          example: CRM ID
        archivedAt:
          type: string
          description: Archived At
          example: '2022-10-01T00:00:00Z'

````